#!/bin/csh

set DIR_REL=./lib
set DIR_LIB=./lib

set LIB_LOG=${DIR_LIB}/log4j-1.2.8.jar
set CLASSPATH=${DIR_REL}/util.jar:${DIR_REL}/util_dmn.jar
set CLASSPATH=${CLASSPATH}:${LIB_LOG}

set LOG4J="-Dlog4j.configuration=config/CmnLog.xml"
set CONFIG="-DDaemonManager.config=config/daemon.xml"

java ${LOG4J} ${CONFIG} -cp ${CLASSPATH} \
	jp.co.sds_corp.util.daemon.remote.DaemonController $*

