#!/bin/csh

set	APP_HOME=.
set	DIR_REL=${APP_HOME}/lib
set	DIR_LIB=${APP_HOME}/lib
set	DIR_JMS=${APP_HOME}/../..

set LIB_LOG4J=${DIR_LIB}/log4j-1.2.8.jar
set LIB_JMS=${DIR_JMS}/weblogic.jar

set	CLASSPATH=${LIB_LOG4J}:${LIB_JMS}
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/util.jar:${DIR_REL}/util_dmn.jar:${DIR_REL}/util_msg.jar
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/fxutil.jar
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/transfer.jar
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/ratemixer_fx.jar
set	CLASSPATH=${CLASSPATH}:.

set NAME="-Dapp.name=RateMixer"
set LOG4J="-Dlog4j.configuration=config/CmnLog.xml"
set CONFIG="-DDaemonManager.config=config/daemon.xml"

java ${NAME} ${LOG4J} ${CONFIG} -cp ${CLASSPATH} \
	jp.co.sds_corp.util.daemon.manager.DaemonManager $*
#	jp.co.sds_corp.util.daemon.manager.JMXManager $*
